/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.SelectionLocator");

dojo.require("com.ibm.mashups.enabler.Deferred");

/**
 * An interface that extends a model with additional selection methods.
 * 
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.model.SelectionLocator", null, {
    /**
     * Get's the parent node for newly added shared pages.
     * @return {com.ibm.mashups.enabler.Deferred} a deferred object used to start this operation. The return value when
     * executed through the deferred object is the default parent for accepted pages.
     */
    findDefaultAcceptParent: function(){
    }
});
