/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.wire.WireModelProvider");

dojo.require("com.ibm.mashups.enabler.wire.WireModel");

/**
 * Interface for a provider of a wire model.
 *
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module WireModel
 */
dojo.declare("com.ibm.mashups.enabler.wire.WireModelProvider", null, {
    /**
     * Returns the wire model of this provider.
     *
     * @return {com.ibm.mashups.enabler.wire.WireModel} The wire model of this provider
     */
    getWireModel: function(){
    }
});
