/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide( "com.ibm.mashups.enabler.TimeStamped" );

//<INTERFACE>
/**
 * Model interface for specific date access properties: This is information such as the
 * creation date or the last modification date of a resource. 
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare( "com.ibm.mashups.enabler.TimeStamped", null, {
	/**
     * Returns the creation date of the resource.
     * @return {Date} the creation date, never <code>null</code>.
     */
    getCreated: function () {
    },
    /**
     * Returns the modification date of the resource.
     * @return {Date} the modification date, never <code>null</code>.
     */
    getLastModified: function () {
    }
});
//</INTERFACE>
